package net.greenfieldtech.cloudonixsdk.cloudonixdialer.models;

/**
 * Contact.java
 * 
 * Authors:
 *   - Alexander Rubanskiy, 2016-04-20
 * 
 * Copyright © 2015 GreenfieldTech 2015 Ltd. All rights reserved.
 * Copyright © 2018 Cloudonix Ltd. All rights reserved.
 * Copyright © 2019 Cloudonix Inc. All rights reserved.
 */
public class Contact {

  private int id;
  private String name;
  private String number;

  public Contact() {
  }

  public Contact(int id, String name, String number) {
    this.id = id;
    this.name = name;
    this.number = number;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getNumber() {
    return number;
  }

  public void setNumber(String number) {
    this.number = number;
  }

  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }
}
