package net.greenfieldtech.cloudonixsdk.cloudonixdialer.models;

import com.google.firebase.database.PropertyName;

/**
 * RegistrationFreeCall.java
 * 
 * Authors:
 *   - Naama Gertel, 2018-11-20
 * 
 * Copyright © 2015 GreenfieldTech 2015 Ltd. All rights reserved.
 * Copyright © 2018 Cloudonix Ltd. All rights reserved.
 * Copyright © 2019 Cloudonix Inc. All rights reserved.
 */
public class RegistrationFreeCall {
    private String dnid;
    private String caller;
    private String session;

    public RegistrationFreeCall() {
    }

    public RegistrationFreeCall(String dnid, String caller, String session) {
        this.dnid = dnid;
        this.caller = caller;
        this.session = session;
    }

    @PropertyName("dnid")
    public String getDnid() {
        return this.dnid;
    }

    @PropertyName("dnid")
    public void setDnid(String dnid) {
        this.dnid = dnid;
    }

    @PropertyName("caller-id")
    public String getCaller() { return this.caller;   }

    @PropertyName("caller-id")
    public void setCaller(String caller) {
        this.caller = caller;
    }

    @PropertyName("session")
    public String getSession() {
        return this.session;
    }

    @PropertyName("session")
    public void setSession(String session) {
        this.session = session;
    }
}

