package net.greenfieldtech.cloudonixsdk.cloudonixdialer.models.registration_free_dialing;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;
import net.greenfieldtech.cloudonixsdk.api.rest.requests.BaseRequest;

/**
 * RegistrationFreeSessionRequest.java
 * 
 * Authors:
 *   - Alexander Rubanskiy, 2017-10-20
 * 
 * Copyright © 2015 GreenfieldTech 2015 Ltd. All rights reserved.
 * Copyright © 2018 Cloudonix Ltd. All rights reserved.
 * Copyright © 2019 Cloudonix Inc. All rights reserved.
 */
public class RegistrationFreeSessionRequest extends BaseRequest {

  @SerializedName("destination")
  @Expose
  private String destination;

  public RegistrationFreeSessionRequest(String destination) {
    this.destination = destination;
  }

  public String getDestination() {
    return destination;
  }

  public void setDestination(String destination) {
    this.destination = destination;
  }
}
