package net.greenfieldtech.cloudonixsdk.cloudonixdialer.models.registration_free_dialing;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;
import net.greenfieldtech.cloudonixsdk.api.rest.requests.BaseRequest;

/**
 * RegistrationFreeTokenRequest.java
 * 
 * Authors:
 *   - Alexander Rubanskiy, 2018-03-13
 * 
 * Copyright © 2015 GreenfieldTech 2015 Ltd. All rights reserved.
 * Copyright © 2018 Cloudonix Ltd. All rights reserved.
 * Copyright © 2019 Cloudonix Inc. All rights reserved.
 */
public class RegistrationFreeTokenRequest extends BaseRequest {

  @SerializedName("password")
  @Expose
  private String password;

  public RegistrationFreeTokenRequest(String password) {
    this.password = password;
  }

  public String getPassword() {
    return password;
  }

  public void setPassword(String password) {
    this.password = password;
  }

}
