package net.greenfieldtech.cloudonixsdk.cloudonixdialer.utils;

import android.content.Context;
import android.net.ConnectivityManager;

/**
 * NetManager.java
 * 
 * Authors:
 *   - Alexander Rubanskiy, 2016-04-20
 * 
 * Copyright © 2015 GreenfieldTech 2015 Ltd. All rights reserved.
 * Copyright © 2018 Cloudonix Ltd. All rights reserved.
 * Copyright © 2019 Cloudonix Inc. All rights reserved.
 */
public class NetManager {

  public static boolean isConnected(Context context) {
    ConnectivityManager manager = (ConnectivityManager) context
        .getSystemService(Context.CONNECTIVITY_SERVICE);
    if (manager.getActiveNetworkInfo() != null) {
      return (manager.getActiveNetworkInfo().isAvailable() &&
          manager.getActiveNetworkInfo().isConnected());
    }
    return false;
  }

}
