package net.greenfieldtech.cloudonixsdk.cloudonixdialer.utils.prefs;

/**
 * AppPrefsKeys.java
 * 
 * Authors:
 *   - Alexander Rubanskiy, 2016-09-26
 * 
 * Copyright © 2015 GreenfieldTech 2015 Ltd. All rights reserved.
 * Copyright © 2018 Cloudonix Ltd. All rights reserved.
 * Copyright © 2019 Cloudonix Inc. All rights reserved.
 */
public class AppPrefsKeys {

  public static final String SERVER = "server";
  public static final String TRANSPORT = "transport";
  public static final String TRANSPORT_PORT = "transport_port";
  public static final String DOMAIN = "domain";

  public static final String USER_NAME = "user_name";
  public static final String PASSWORD = "password";
  public static final String DISPLAY_NAME = "display_name";

  public static final String USE_DNS_SRV = "use_dns_srv";
  public static final String USE_SECURE_SIP = "use_secure_sip";
  public static final String USE_ICE = "use_ice";
  public static final String USE_NAT = "use_nat";
  public static final String USE_STUN = "use_stun";
  public static final String STUN_SERVER = "stun_server";

  public static final String USE_OPUS = "use_opus";
  public static final String USE_G722 = "use_g722";
  public static final String USE_G711 = "use_g711";
  public static final String USE_ILBC = "use_ilbc";
  public static final String MIN_RATE = "min_rate";
  public static final String MAX_RATE = "max_rate";

  public static final String USE_REGISTRATION_FREE = "use_registration_free";

}
