package net.greenfieldtech.cloudonixsdk.cloudonixdialer.views;

import android.content.Context;
import android.view.LayoutInflater;
import android.widget.ImageView;
import android.widget.LinearLayout;
import net.greenfieldtech.cloudonixsdk.cloudonixdialer.R;

/**
 * TabIndicator.java
 * 
 * Authors:
 *   - Alexander Rubanskiy, 2016-05-16
 * 
 * Copyright © 2015 GreenfieldTech 2015 Ltd. All rights reserved.
 * Copyright © 2018 Cloudonix Ltd. All rights reserved.
 * Copyright © 2019 Cloudonix Inc. All rights reserved.
 */
public class TabIndicator extends LinearLayout {

  private ImageView ivImage;

  public TabIndicator(Context context) {
    super(context);
    LayoutInflater inflater = LayoutInflater.from(context);
    inflater.inflate(R.layout.layout_tab_indicator, this);
    ivImage = (ImageView) findViewById(R.id.imageView);
  }

  public void setImage(int imageRes) {
    ivImage.setImageResource(imageRes);
  }

}