package net.greenfieldtech.cloudonixsdk.cloudonixdialer.api.request;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

/**
 * RegistrationFreeTokenRequest.java
 * 
 * Authors:
 *   - Alexander Rubanskiy, 2019-10-03
 * 
 * Copyright © 2015 GreenfieldTech 2015 Ltd. All rights reserved.
 * Copyright © 2018 Cloudonix Ltd. All rights reserved.
 * Copyright © 2019 Cloudonix Inc. All rights reserved.
 */
public class RegistrationFreeTokenRequest {

  @SerializedName("password")
  @Expose
  private String password;

  public RegistrationFreeTokenRequest(String password) {
    this.password = password;
  }

  public String getPassword() {
    return password;
  }

  public void setPassword(String password) {
    this.password = password;
  }

}