package net.greenfieldtech.cloudonixsdk.cloudonixdialer.models.registration_free_dialing;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

/**
 * RegistrationFreeDialingResponse.java
 * 
 * Authors:
 *   - Alexander Rubanskiy, 2017-10-23
 * 
 * Copyright © 2015 GreenfieldTech 2015 Ltd. All rights reserved.
 * Copyright © 2018 Cloudonix Ltd. All rights reserved.
 * Copyright © 2019 Cloudonix Inc. All rights reserved.
 */
public class RegistrationFreeDialingResponse {

  @SerializedName("domainId")
  @Expose
  private Integer domainId;
  @SerializedName("subscriberId")
  @Expose
  private Integer subscriberId;
  @SerializedName("destination")
  @Expose
  private String destination;
  @SerializedName("callerId")
  @Expose
  private String callerId;
  @SerializedName("direction")
  @Expose
  private String direction;
  @SerializedName("token")
  @Expose
  private String token;
  @SerializedName("timeLimit")
  @Expose
  private Object timeLimit;
  @SerializedName("callStartTime")
  @Expose
  private Object callStartTime;

  public String getToken() {
    return token;
  }

  public void setToken(String token) {
    this.token = token;
  }
}
