package net.greenfieldtech.cloudonixsdk.cloudonixdialer.utils;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/**
 * DateUtils.java
 * 
 * Authors:
 *   - Alexander Rubanskiy, 2016-04-21
 * 
 * Copyright © 2015 GreenfieldTech 2015 Ltd. All rights reserved.
 * Copyright © 2018 Cloudonix Ltd. All rights reserved.
 * Copyright © 2019 Cloudonix Inc. All rights reserved.
 */
public class DateUtils {

  public static String getDisplayDate(Date date) {
    if (date != null) {
      Calendar calendar = Calendar.getInstance();
      calendar.setTime(date);
      SimpleDateFormat dateFormat = new SimpleDateFormat("E HH:mm");
      return dateFormat.format(date);
    }
    return "";
  }

}
