package net.greenfieldtech.cloudonixsdk.cloudonixdialer.utils;

import android.text.TextUtils;
import java.util.ArrayList;

/**
 * TextUtil.java
 * 
 * Authors:
 *   - Alexander Rubanskiy, 2016-05-04
 * 
 * Copyright © 2015 GreenfieldTech 2015 Ltd. All rights reserved.
 * Copyright © 2018 Cloudonix Ltd. All rights reserved.
 * Copyright © 2019 Cloudonix Inc. All rights reserved.
 */
public class TextUtil {

  public static String getCodecString(ArrayList<String> input) {
    StringBuilder builder = new StringBuilder();
    if (input == null || input.isEmpty()) {
      return "No selected codecs";
    } else {
      builder.append(input.get(0));
    }
    for (int i = 1; i < input.size(); i++) {
      String codec = input.get(i);
      if (!TextUtils.isEmpty(codec)) {
        builder.append(", ");
        builder.append(codec);
      }
    }
    return builder.toString();
  }

}